# Number

Property Type: `number`

A Number value can be configured to hold integer or float values, with minimum and/or maximum values.

### Property Validators

**Required**\
name: `required`

**Number Validator**\
name: `number`\
definition:

| Name         | Type    | Default | Description        |
| ------------ | ------- | ------- | ------------------ |
| allowNull    | boolean | false   | Allow null entries |
| min          | integer |         | Minimum value      |
| max          | integer |         | Maximum value      |
| allowDecimal | boolean | true    | Allow float values |

**Allow Level Validator**\
name: `allowLevel`\
definition:

| Name           | Type    | Default | Description                                                                              |
| -------------- | ------- | ------- | ---------------------------------------------------------------------------------------- |
| includeNoAllow | boolean | false   | Allow acl.AccessLevels.NoAllow. If false, acl.AccessLevels.Public is the minimum allowed |
| defaultValue   | integer |         | an optional default value                                                                |

**Coordinate Validator**\
name: `coordinate`\
definition:

| Name          | Type    | Default | Description        |
| ------------- | ------- | ------- | ------------------ |
| min0          | integer |         | min value          |
| max0          | integer |         | max value          |
| min1          | integer |         | min value          |
| max1          | integer |         | max value          |
| allowDecimal0 | boolean | true    | Allow float values |
| allowDecimal1 | boolean | true    | Allow float values |

**Enum Validator**\
name: `numberEnum`\
definition:

| Name   | Type  | Default | Description                  |
| ------ | ----- | ------- | ---------------------------- |
| values | array |         | An array of possible entries |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.medable.com/cortex-api/objects-definition/object-properties/number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
